> For the complete documentation index, see [llms.txt](https://docs.pagsmile.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.pagsmile.com/reference/issuing-card-api/business/card/query-authorizations.md).

# Query Authorizations

### **Request URI** <a href="#payin-by-creditcard" id="payin-by-creditcard"></a>

`POST` `/issuing/card/query-card-authorizations`

### **Request Body**

**Refer to :** [**common**](/reference/issuing-card-api/common.md)

**Biz\_data :**

<table><thead><tr><th width="224.52734375">Name</th><th width="161.65625">Type</th><th>Description</th></tr></thead><tbody><tr><td>card_token</td><td>string</td><td>Card token</td></tr><tr><td>auth_id</td><td>string</td><td>Auth ID</td></tr><tr><td>data_type</td><td>string</td><td>Data Type</td></tr><tr><td>transaction_id</td><td>string</td><td>Transaction ID</td></tr><tr><td>transaction_type</td><td>integer</td><td>Transaction Type.Refer to: <a href="/pages/gbKVBqe4REk5SatWSXG9">TransactionType</a></td></tr><tr><td>start_date<mark style="color:red;">*</mark></td><td>string</td><td>Begin time.Format:yyyy-MM-dd HH:mm:ss</td></tr><tr><td>end_date<mark style="color:red;">*</mark></td><td>string</td><td>End time.Format: yyyy-MM-dd HH:mm:ss</td></tr><tr><td>page_num</td><td>integer</td><td>Default value: 1</td></tr><tr><td>page_size</td><td>integer</td><td>Default value: 10. Max value is 30</td></tr></tbody></table>

{% hint style="info" %}
max query time range : 31 days
{% endhint %}

### **Request** Example <a href="#example" id="example"></a>

```
{
    "app_id": "00000000000000000",
    "partner_id": "00000000000000000",
    "request_id": "4CdbC1dD-EfbD-6ea8-941a-e9b32feC",
    "timestamp": "2025-04-07 13:56:56",
    "format": "JSON",
    "version": "2.0",
    "sign_type": "RSA",
    "biz_data": {
        "card_token": 450620141926,
        "start_date": "2024-01-06 00:00:00",
        "end_date": "2024-09-20 00:00:00",
        "page_num": 1,
        "page_size": 30
    },
    "random_key": "<generated_key>"
}
// The biz_data in this example needs to be encrypted!
```

### Response <a href="#example" id="example"></a>

<table><thead><tr><th width="226.16796875">Name</th><th width="152.5625">Type</th><th>Description</th></tr></thead><tbody><tr><td>auth_id</td><td>string</td><td>Auth ID</td></tr><tr><td>data_type</td><td>string</td><td>Data Type(cardAuthorization、cardSettlement、cardAuthorizationExpired)</td></tr><tr><td>card_token</td><td>string</td><td>Card token</td></tr><tr><td>card_pan</td><td>string</td><td>Card PAN</td></tr><tr><td>transaction_id</td><td>string</td><td>Transaction ID</td></tr><tr><td>transaction_type</td><td>integer</td><td>Transaction type.Refer to: <a href="/pages/gbKVBqe4REk5SatWSXG9">TransactionType</a></td></tr><tr><td>process_status</td><td>integer</td><td>Process Status.Refer to: <a href="/pages/n0wEekw0kj1rppVos9Vo">ProcessStatus</a></td></tr><tr><td>original_auth_id</td><td>string</td><td>Original Auth ID</td></tr><tr><td>auth_status</td><td>integer</td><td>Auth status.Refer to:<a href="/pages/EHnYrJPgGyvYNbNvi9XY">AuthStatus</a></td></tr><tr><td>auth_code</td><td>string</td><td>Auth Code</td></tr><tr><td>response_code</td><td>string</td><td>Response Code: <a href="/pages/YE68HunRKdaYTEv0Kv6Q">responseCode</a></td></tr><tr><td>settle_status</td><td>integer</td><td>Settle Status.Refer to:<a href="/pages/hnlqoEIAjk8nogJYj1hZ">SettleStatus</a></td></tr><tr><td>acquirer_id</td><td>string</td><td>Acquirer ID</td></tr><tr><td>mcc_code</td><td>string</td><td>Mcc Code</td></tr><tr><td>merchant_id</td><td>string</td><td>Merchant ID</td></tr><tr><td>merchant_name</td><td>string</td><td>Merchant Name</td></tr><tr><td>note</td><td>string</td><td>Note</td></tr><tr><td>transaction_amount</td><td>string</td><td>Transaction Amount</td></tr><tr><td>transaction_currency</td><td>string</td><td>Transaction Currency</td></tr><tr><td>transaction_country_code</td><td>string</td><td>Transaction country code</td></tr><tr><td>bill_amount</td><td>string</td><td>Billing Amount</td></tr><tr><td>bill_currency</td><td>string</td><td>Billing Currency</td></tr><tr><td>fee</td><td>string</td><td>Fee</td></tr><tr><td>settled_amount</td><td>string</td><td>Settled Amount</td></tr><tr><td>base_exchange_rate</td><td>string</td><td>Exchange Rate</td></tr><tr><td>create_time</td><td>string</td><td>Create time</td></tr><tr><td>card_remark</td><td>string</td><td>Card Remark</td></tr></tbody></table>

{% tabs %}
{% tab title="200:OK" %}

```
{
    "code": "10000",
    "msg": "Success",
    "total": 1,
    "random_key": "<random key used for decryption>",
    "sign_type": "RSA",
    "app_id": "00000000000000000",
    "data": [{
        "auth_id": "100000000030",
        "data_type": "cardAuthorization",
        "card_pan": null,
        "card_token": "450620141926",
        "transaction_id": null,
        "transaction_type": 2,
        "process_status": 1,
        "original_auth_id": null,
        "auth_status": null,
        "auth_code": "915119",
        "response_code": null,
        "settle_status": null,
        "acquirer_id": "00000361603",
        "mcc_code": null,
        "merchant_id": "1715679487057813",
        "merchant_name": "Test User",
        "note": null,
        "transaction_amount": "-100000.00",
        "transaction_currency": "USD",
        "transaction_country_code": null,
        "bill_amount": "-100000.00",
        "bill_currency": "USD",
        "fee": "0.00",
        "settled_amount": "0.00",
        "base_exchange_rate": null,
        "create_time": "2024-09-12 03:52:28"
    }]
}
// The data in this example has already been decrypted.
```

{% endtab %}

{% tab title="400: invalid-signature" %}

```
{
    "code": "40002",
    "msg": "Business Failed",
    "sub_code": "invalid-signature",
    "sub_msg": "invalid signature"
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.pagsmile.com/reference/issuing-card-api/business/card/query-authorizations.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
